#
# spec file for package devs (Version 2001.9.21)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bc bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         devs
Copyright:    1999 - not specified
Group:        Base
Provides:     devsfull 
Autoreqprov:  off
Version:      2001.9.21
Release:      26
Summary:      Device files
BuildRoot: /tmp/devs
Source: makedevs
Source1: makedevs.floppy
Source2: print_dasd_lines.sh

%description
This package creates special files in the /dev directory, so that
your system's hardware can be accessed.

Authors:
--------
    Hubert Mantel <mantel@suse.de>

SuSE series: a

%prep
%setup -c -n devs -T
cp $RPM_SOURCE_DIR/makedevs* .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
sh $RPM_SOURCE_DIR/makedevs
RPM_INSTALL_PREFIX=$RPM_BUILD_ROOT
export RPM_BUILD_ROOT

%pre
#!/bin/sh
#
#
# to be done after extraction
#
# Copyright (c) 1996,97 S.u.S.E. GmbH Fuerth, Germany.
#
#
if test -e dev/inet ; then
    rm -rf dev/inet
fi
if test ! -d dev/pts ; then
    rm -rf dev/pts
fi
if test ! -d dev/raw ; then
    rm -rf dev/raw
fi
if test ! -d dev/shm ; then
    rm -rf dev/shm
fi

%files
%doc makedevs makedevs.floppy
/dev

%changelog -n devs
* Fri Sep 21 2001 - mantel@suse.de
- create nodes for Promise IDE RAID controllers
* Mon Sep 03 2001 - olh@suse.de
- make iseries ppc only
* Mon Sep 03 2001 - kukuk@suse.de
- On SPARC use old minor numbers for fb devices
* Mon Sep 03 2001 - froh@suse.de
- add "if arch s390" brackets from makedevs to makevs.floppy to
  significantly speed up installation-images build
* Fri Aug 31 2001 - olh@suse.de
- add bc to needed for build
- add iseries devices
* Sat Aug 18 2001 - bjacke@suse.de
- add atomicps, ip filter, cbd, dri, bluetooth and mvideo devices
- correct minor numbers of fb devices and compat link for X0R
- move raw devices to raw and add rawctl
* Fri Aug 10 2001 - bk@suse.de
- s390: create nodes for cdl partitions, omit not existing devs
* Tue Jul 31 2001 - mantel@suse.de
- create nodes for up to 8 cciss and 8 cpqarray controllers
* Mon Jul 23 2001 - mantel@suse.de
- added devices for Ferrari Fax card
* Mon Jun 25 2001 - bk@suse.de
- set RPM_ARCH on s390x to s390 for makedev.sh to work like on s390
* Tue Jun 19 2001 - mantel@suse.de
- create all device nodes for cpqarray, DAC960 and cciss
* Wed May 23 2001 - mantel@suse.de
- fix permissions of /dev/cpu/%%d/cpuid to 444
* Wed May 23 2001 - mantel@suse.de
- added /dev/blog fifo
* Mon May 21 2001 - mantel@suse.de
- fixed ownership/permissions of /dev/usblp? to 660, root.lp
* Fri May 11 2001 - mante@suse.de
- IDE disks are cheap and big ==> we need more partitions
* Tue May 08 2001 - mantel@suse.de
- increase number of loop devices from 2 to 8 in install system
* Thu May 03 2001 - mantel@suse.de
- added /dev/modems/mwave
- /dev/midi now points to /dev/midi00 instead of /dev/midi0
* Thu Apr 26 2001 - mantel@suse.de
- fix minor numbers of /dev/input/event*
* Fri Feb 16 2001 - mantel@suse.de
- fix USB devices
* Tue Jan 02 2001 - mantel@suse.de
- added devices in /dev/usb. Keep old devices for the moment
* Tue Dec 19 2000 - mantel@suse.de
- make /dev/random world-writable
* Tue Dec 19 2000 - mantel@suse.de
- added /dev/oss* and /dev/noss* (char major 206)
- added /dev/agpgarti810
* Mon Oct 16 2000 - mantel@suse.de
- increase number of partitions on /dev/hda and /dev/hdb to 16
* Fri Oct 13 2000 - mantel@suse.de
- added devices for Compaq RAID CCISS (/dev/cciss)
- added devices and nodes for /dev/cpu/*/cpuid and msr
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Thu Sep 07 2000 - mantel@suse.de
- created /dev/rd/c0d9* to /dev/rd/c0d15*
* Thu Sep 07 2000 - mantel@suse.de
- added devices in i2o
- added assorted misc devices (character major 10)
* Sun Jul 30 2000 - mantel@suse.de
- added /dev/audioctl (for Sparc)
* Wed Jul 26 2000 - mantel@suse.de
- corrected entry for nrawqft? (had wrong minor number)
* Mon Jul 03 2000 - mantel@suse.de
- fix permissions and ownership of ircomm and irlpt devices
* Sun Jul 02 2000 - mantel@suse.de
- make mixer and dsp symbolic links
- added ircomm and irlpt devices
* Tue Jun 27 2000 - snwint@suse.de
- now *really* added vcs & vcsa devs to makedevs.floppy
* Tue Jun 27 2000 - snwint@suse.de
- added vcs0 & vcsa0 to makedevs.floppy
* Mon Jun 26 2000 - snwint@suse.de
- create /dev/input in makedevs.floppy
* Sat Jun 24 2000 - olh@suse.de
- add usb device nodes for new backport
  remove obsolete major 13 device nodes
* Fri Jun 23 2000 - bk@suse.de
- enabled ptmx on s390
* Fri Jun 23 2000 - bk@suse.de
- fixed /dev/tty creation on s390 + some minor minor s390 tweaks
* Mon Jun 05 2000 - olh@suse.de
- add sheep_net c 10 198  for mol.rpm
* Sat Jun 03 2000 - olh@suse.de
- move mergemem to 153, pmu to 154, see current devices.txt
* Fri May 12 2000 - schwab@suse.de
- Add /dev/shm directory.
* Thu May 11 2000 - mantel@suse.de
- removed /dev/nfs (major 0 not allowed by FHS 2.1)
* Mon May 08 2000 - bk@suse.de
- fix ttyUSB device numbers for USB of 2.3.47 / USB Backport
* Fri May 05 2000 - bk@suse.de
- fix device ids of usbscanner for USB of 2.3.47 / USB Backport
- add loop devs to s390
* Fri May 05 2000 - mantel@suse.de
- fix permissions of /dev/nvidia*
* Fri May 05 2000 - mantel@suse.de
- added /dev/nvidia{0-3} and /dev/nvidiactl
* Tue May 02 2000 - mantel@suse.de
- added /dev/openprom
* Wed Apr 26 2000 - mantel@suse.de
- added /dev/rtc
* Mon Apr 10 2000 - bk@suse.de
- added s390 support
* Thu Mar 16 2000 - mantel@suse.de
- added /dev/kbd for Sparc
* Tue Mar 14 2000 - schwab@suse.de
- Add efirtc for ia64.
* Sun Mar 05 2000 - snwint@suse.de
- removed agpgarti810; it's part of the xsvga package!
* Sun Mar 05 2000 - snwint@suse.de
- added agpgarti810, usbmouse[0-3]
* Wed Mar 01 2000 - bk@suse.de
- changed ttyACM* and ttyUSB* (USB modem and serial) to same perms as ttyS*
* Tue Feb 29 2000 - mantel@suse.de
- added /dev/usblp[0-3]
* Mon Feb 14 2000 - ro@suse.de
- install scripts in /usr/doc/packages/devs
* Thu Jan 20 2000 - ro@suse.de
- agpgart to 600
* Thu Jan 20 2000 - mantel@suse.de
- added device agpgart
* Wed Jan 19 2000 - mantel@suse.de
- added link from fb to fb0
* Fri Dec 17 1999 - mantel@suse.de
- usbmouse is also needed on initrd
* Thu Dec 16 1999 - olh@suse.de
- added usbmouse : c 10, 32
- added usbmouse1: c 10, 33
* Fri Dec 03 1999 - mantel@suse.de
- corrected permissions for /dev/pty*
* Mon Nov 08 1999 - mantel@suse.de
- corrected symbolic links /dev/ftape and /dev/nftape
- added /dev/tap{012}
* Fri Nov 05 1999 - mantel@suse.de
- added /dev/nvram for installation system
* Fri Nov 05 1999 - mantel@suse.de
- additional Ramdisks needed for installation system
- mouse devices needed for installation system
* Wed Nov 03 1999 - mantel@suse.de
- added ALSA devices
- added USB devices
* Tue Nov 02 1999 - mantel@suse.de
- audio devices world writable again
* Tue Nov 02 1999 - mantel@suse.de
- create framebuffer devices for initrd
* Mon Nov 01 1999 - mantel@suse.de
- audio devices now in group audio, permissions o-rw
- added devices for additional EIDE devices
- added devices for PPPoX
- removed some obsolete devices
- added raw devices
* Sun Oct 31 1999 - mantel@suse.de
- cleaned up permissions (removed rw for world on several devices)
- added xconsole pipe
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Mon Jul 19 1999 - mantel@suse.de
- set permissions of /dev/tty* to 620
* Sat Jul 17 1999 - mantel@suse.de
- correct console device (5,1 instead of 4,0)
* Wed Jul 07 1999 - ro@suse.de
- reworked specfile to avoid copy
* Wed Jun 23 1999 - ro@suse.de
- added devices for Z8530,Baycom,Winradio
- fixed post-script: only remove dev/pts if not a directory
* Thu Jun 10 1999 - mantel@suse.de
- fixed permissions of /dev/ptmx
* Thu May 27 1999 - ro@suse.de
- changed console device for alpha to 5,1
- added fb0 device as c,29,0,660,root.video
* Tue Apr 27 1999 - mantel@suse.de
- added missing fd?u720 devices
* Wed Mar 10 1999 - ro@suse.de
- fixed permissions for /dev/mem and /dev/kmem
- fixed device nodes for Compaq RAID Array
* Fri Jan 29 1999 - mantel@suse.de
- added devices for Mylec DAC 960 and Compaq RAID controllers
* Fri Dec 11 1998 - mantel@suse.de
- Increased number of serial ttys to 24
* Mon Dec 07 1998 - mantel@suse.de
- fixed symlinks for /dev/radio and /dev/video
* Wed Dec 02 1998 - mantel@suse.de
- fixes for 2.1 kernel
- added /dev/pts
* Sun Jul 26 1998 - mantel@suse.de
- increased number of SCSI CD-ROM devices to 16 on boot disk
* Fri Jul 17 1998 - mantel@suse.de
- removed temporary parallel port CD-ROM device files
- added new PARIDE device files (CD-ROM, disk, generic, tape)
* Fri Jun 19 1998 - mantel@suse.de
- create all 16 SCSI CD-ROM devices
- add missing ATAPI tape drives even for the floppy system
* Thu Feb 05 1998 - mantel@suse.de
- added group "disk"
- include 16 sg devices now
